### Method

# JavaScriptCore Value object_define_property_data

#### Declaration [src]

    void
    jsc_value_object_define_property_data (
      JSCValue* value,
      const char* property_name,
      JSCValuePropertyFlags flags,
      JSCValue* property_value
    )

#### Description [src]

Define or modify a property with `property_name` in object referenced by `value`. This is equivalent to JavaScript Object.defineProperty() when used with a data descriptor.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the property to define.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `JSCValuePropertyFlags`

  `JSCValuePropertyFlags`.

`property_value`

  Type: `JSCValue`

  The default property value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.